6.0.0-git
2019-04-21

[#10428] Cannot edit permissions of hidden app
Summary Cannot edit permissions of hidden app
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners
Requester lang (at) b1-systems (dot) de
Created 2011-08-16 (2805 days ago)
Due
Updated 2011-08-17 (2804 days ago)
Assigned
Resolved 2011-08-17 (2804 days ago)
Milestone
Patch No

History
2011-08-17 13:39:09 Ralf Lang (B1 Systems GmbH) State ⇒ Resolved
 
2011-08-16 07:43:06 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

[#10428] Cannot edit permissions of hidden app Hidden apps should turn 
up in permissions UI just like notoolbar apps and active apps They are 
neither "not installed" nor "inactive"

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/94eb58e6d9967aa073d878ef5644b7e79a2e8f61
2011-08-16 07:19:03 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Cannot edit permissions of hidden app
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
When I hide an application, horde allows me to create it's root 
permissions but they do not show up. I can neither edit/revoke them 
nor can I edit any child permissions.

HOW TO REPRODUCE

set in registry.local.php and go to permissions screen (new login 
might be required)
Add permissions for application "horde". Try again to see they are 
already there.

$this->applications['horde']['status'] = 'hidden';

EXPECTED BEHAVIOUR:

The admin interface should either hide hidden apps completely or show 
them completely (I  prefer the latter)

I will see myself if I can provide a fix.

Saved Queries